@echo off
setlocal enabledelayedexpansion

rem Get the directory where the .bat file is located
set "input_directory=%~dp0"
set "output_directory=%input_directory%converted"

rem Check if the output directory exists, if not, create it
if not exist "%output_directory%" (
    mkdir "%output_directory%"
    echo Output folder created at "%output_directory%"
)

rem Convert all input files to OGG
for %%f in ("%input_directory%*.*") do (
    if /I not "%%~nxf"=="%~nx0" (
        if /I not "%%~xf"==".exe" (
            ffmpeg -i "%%f" -ar 44100 -b:a 192k "%output_directory%\%%~nf.ogg"
        )
    )
)

echo Conversion completed.
pause
